### Function

# RB uri_could_be_podcast

#### Declaration [src]

    gboolean
    rb_uri_could_be_podcast (
      const char* uri,
      gboolean* is_opml
    )

#### Description [src]

Checks if `uri` identifies a resource that is probably a podcast (RSS or Atom feed). This does not perform any IO, it just guesses based on the URI itself.

#### Parameters

`uri`

  Type: `const char*`

  A URI to check.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`is_opml`

  Type: `gboolean*`

  Returns whether the URI identifies an OPML document.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `uri` may be a podcast.